Commit 86a1dbb7 authored by Emmanuel Bourg's avatar Emmanuel Bourg

Build the new log4j-api-java9 module

parent 4d2db9d2
......@@ -3,6 +3,7 @@ apache-log4j2 (2.9.0-1) UNRELEASED; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patches
- Build the new log4j-api-java9 module
* Fixed the build failure with Java 9 (Closes: #893085)
* Standards-Version updated to 4.1.3
* Switch to debhelper level 11
......
......@@ -10,6 +10,7 @@ Build-Depends:
groovy,
libapache-pom-java (>= 10),
libbsh-java,
libbuild-helper-maven-plugin-java,
libcommons-compress-java,
libcommons-csv-java (>= 1.2),
libcommons-lang3-java,
......@@ -29,7 +30,9 @@ Build-Depends:
libjpa-2.1-spec-java,
liblightcouch-java,
libmail-java,
libmaven-assembly-plugin-java,
libmaven-bundle-plugin-java,
libmaven-dependency-plugin-java,
libmaven-exec-plugin-java,
libmaven-install-plugin-java,
libmaven-javadoc-plugin-java,
......
......@@ -27,8 +27,7 @@
#
pom.xml --no-parent --has-package-version
log4j-api/pom.xml --has-package-version --java-lib
log4j-api-scala_2.10/pom.xml --ignore
log4j-api-scala_2.11/pom.xml --ignore
log4j-api-java9/pom.xml --has-package-version --java-lib
log4j-core/pom.xml --has-package-version --java-lib
log4j-core-its/pom.xml --ignore
log4j-1.2-api/pom.xml --has-package-version --java-lib
......
......@@ -22,3 +22,4 @@ s/org\.jboss\.spec\.javax\.jms/org.apache.geronimo.specs/ s/jboss-jms-api_1\.1_s
s/org.apache-extras.beanshell/org.beanshell/ bsh * s/.*/debian/ * *
s/com.fasterxml.woodstox/org.codehaus.woodstox/ s/woodstox-core/woodstox-core-lgpl/ * s/.*/debian/ * *
com.conversantmedia disruptor * s/.*/debian/ s/.*// *
org.apache.logging.log4j log4j-api-java9 zip * * *
......@@ -3,6 +3,8 @@
%:
dh $@
override_dh_auto_test:
override_dh_installchangelogs:
dh_installchangelogs RELEASE-NOTES.md
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment